Bug 51009 - kernel's mga.o not compatible with XF86 4.1's DRI
kernel's mga.o not compatible with XF86 4.1's DRI
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-06 11:00 EDT by rudi
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-06 11:04:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rudi 2001-08-06 11:00:36 EDT
Description of Problem:
The latest kernel and XFree86 packages from Rawhide (2.4.6-3.1 and
4.1.0-0.9.4, if my memory doesn't fail me) prevent DRI from working
on Matrox graphics cards. XFree86 disables DRI because it expects
version 3.0.x of the kernel module, while the latter is only version

How Reproducible:

Steps to Reproduce:
1. Install the latest kernel and XFree86 packages from Rawhide.
2. (Re)Start X.
3. Check your XFree86 log file for a message like this:
[dri] mga.o kernel module version is 2.0.1 but version 3.0.x is needed

Actual Results:
X starts, but DRI is not enabled.

Expected Results:
X started, with DRI enabled.

Additional Information:
As a temporary fix, I tried rebuilding the module using the source
archive at http://www.xfree86.org/~alanh/, but the machine freezes with
the recompiled module as soon as X starts. I suppose this might be
because the kernel RPM was built for i386 (couldn't find the i586
RPM for RawHide, there's only kernel-smp), but the system is an
i586 and that's the architecture the modules claim being compiled for.
I don't know if mixing an i586 module with an i386 kernel RPM is a
good idea and I don't know either how to force the module to be
recompiled for i386 from the source archive mentioned above.
Comment 1 Arjan van de Ven 2001-08-06 11:04:01 EDT
Thanks for the report. We're working on XF4.1 DRI/DRM support, but it was not
stable in time for the beta, so we couldn't include it there.
Comment 2 rudi 2001-08-16 17:29:28 EDT
Fixed in kernel-2.4.7-2. Everything's working smoothly again.

Note You need to log in before you can comment on or make changes to this bug.